﻿Imports System.IO

Public Class FenêtreConsolusMessageMaker

    ' Permet d'ouvrir la console
    Public Declare Function AllocConsole Lib "kernel32.dll" () As Boolean

    ' Permet de fermer la console.
    Public Declare Auto Function FreeConsole Lib "kernel32.dll" () As Boolean

    ' Variable pour savoir si la console est ouverte ou fermer
    Dim EtasConsole As Boolean = False

    ' Variable pour savoir ou se situe le curseur dans l'éditeur de texte
    Dim PositionCurseurEditeur As Integer = 0

    ' Variable contenant le code VB.Net
    Dim Code As String = ""

    ' Variable contenant le texte de l'éditeur de texte
    Dim TexteEditeur As String = ""

    ' Variable pour savoir le chemin et le nom du fichier est sauvegader
    Dim FichierEnregistrement As String = ""

    ' Variable pour savoir l'extention du fichier sauvegader
    Public FichierEnregistrementExtention As String = ""

    ' Variable pour savoir quel type de code générer
    Public GénérationTypeDeCode As Integer = 0

    ' Variable pour savoir quel partie du code il faut générer
    Public OptionGénérationCode As Integer = 1

    Function CountString(Chaine As String, ChaineChercher As String, Optional RespecterCase As Boolean = False) As Long
        If ChaineChercher > "" Then
            If RespecterCase = True Then
                Return CLng((Len(Chaine) - Len(Replace(Chaine, ChaineChercher, "", , , CompareMethod.Binary))) / Len(ChaineChercher))
            Else
                Return CLng((Len(Chaine) - Len(Replace(Chaine, ChaineChercher, "", , , CompareMethod.Text))) / Len(ChaineChercher))
            End If
        Else
            Return 0
        End If
    End Function

    Function StringField(ByVal Chaîne As String, ByVal Index As Integer, ByVal Delimiteur As String) As String

        Dim IndexPart = 0

        If Index > 0 Then
            Index -= 1
        End If

        If Delimiteur > "" Then

            For Each Part In Chaîne.Split({Delimiteur}, StringSplitOptions.None)

                If IndexPart = Index Or IndexPart = CountString(Chaîne, Delimiteur, False) Then
                    Return Part
                End If

                IndexPart += 1

            Next

        Else
            Return Chaîne

        End If

        Return ""

    End Function

    Function ConvertCouleur(ByVal Nombre As Integer) As ConsoleColor

        Select Case Nombre

            Case 0
                Return ConsoleColor.Black

            Case 1
                Return ConsoleColor.DarkBlue

            Case 2
                Return ConsoleColor.DarkGreen

            Case 3
                Return ConsoleColor.DarkCyan

            Case 4
                Return ConsoleColor.DarkRed

            Case 5
                Return ConsoleColor.DarkMagenta

            Case 6
                Return ConsoleColor.DarkYellow

            Case 7
                Return ConsoleColor.Gray

            Case 8
                Return ConsoleColor.DarkGray

            Case 9
                Return ConsoleColor.Blue

            Case 10
                Return ConsoleColor.Green

            Case 11
                Return ConsoleColor.Cyan

            Case 12
                Return ConsoleColor.Red

            Case 13
                Return ConsoleColor.Magenta

            Case 14
                Return ConsoleColor.Yellow

            Case 15
                Return ConsoleColor.White

            Case Else
                Return ConsoleColor.Black

        End Select

    End Function

    Sub LectureCode(ByVal Code As String)

        Dim CouleurTexteConsole As ConsoleColor = ConsoleColor.Black
        Dim CouleurFontTexteConsole As ConsoleColor = ConsoleColor.Black
        Dim TexteConsole As String = ""

        For Index = 1 To CountString(Code, "¦", False)

            CouleurTexteConsole = ConvertCouleur(CInt(StringField(Code, CInt(Index), "¦")))

            Index += 1

            CouleurFontTexteConsole = ConvertCouleur(CInt(StringField(Code, CInt(Index), "¦")))

            Index += 1

            TexteConsole = StringField(Code, CInt(Index), "¦")

            Console.ForegroundColor = CouleurTexteConsole
            Console.BackgroundColor = CouleurFontTexteConsole

            Code = Code.Replace("«", vbLf)

            Console.Write(TexteConsole)

        Next

        Console.WriteLine()

    End Sub

    Private Sub InitialiseFontEditeur()
        RichTextBox1.SelectionFont = New Font("Cambria", 9, FontStyle.Bold)
    End Sub

    Private Sub RichTextBox1_TextChanged(sender As System.Object, e As System.EventArgs) Handles RichTextBox1.TextChanged

        TexteEditeur = RichTextBox1.Text

        If TexteEditeur > "" Then
            ButtonGénérerCode.Enabled = True
        Else
            ButtonGénérerCode.Enabled = False
        End If

        If EtasConsole = True Then
            ButtonAperçusActualiser.Enabled = True
        End If

    End Sub

    Private Sub CheckBox1_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox1.CheckedChanged
        CheckBox1.Checked = False
        RadioButton1.Checked = True
        RichTextBox1.SelectionColor = Color.Black
    End Sub

    Private Sub CheckBox2_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox2.CheckedChanged
        CheckBox2.Checked = False
        RadioButton2.Checked = True
        RichTextBox1.SelectionColor = Color.DarkBlue
    End Sub

    Private Sub CheckBox3_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox3.CheckedChanged
        CheckBox3.Checked = False
        RadioButton3.Checked = True
        RichTextBox1.SelectionColor = Color.Green
    End Sub

    Private Sub CheckBox4_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox4.CheckedChanged
        CheckBox4.Checked = False
        RadioButton4.Checked = True
        RichTextBox1.SelectionColor = Color.DarkCyan
    End Sub

    Private Sub CheckBox5_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox5.CheckedChanged
        CheckBox5.Checked = False
        RadioButton5.Checked = True
        RichTextBox1.SelectionColor = Color.DarkRed
    End Sub

    Private Sub CheckBox6_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox6.CheckedChanged
        CheckBox6.Checked = False
        RadioButton6.Checked = True
        RichTextBox1.SelectionColor = Color.DarkMagenta
    End Sub

    Private Sub CheckBox7_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox7.CheckedChanged
        CheckBox7.Checked = False
        RadioButton7.Checked = True
        RichTextBox1.SelectionColor = Color.Olive
    End Sub

    Private Sub CheckBox8_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox8.CheckedChanged
        CheckBox8.Checked = False
        RadioButton8.Checked = True
        RichTextBox1.SelectionColor = Color.Gray
    End Sub

    Private Sub CheckBox9_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox9.CheckedChanged
        CheckBox9.Checked = False
        RadioButton9.Checked = True
        RichTextBox1.SelectionColor = Color.Silver
    End Sub

    Private Sub CheckBox10_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox10.CheckedChanged
        CheckBox10.Checked = False
        RadioButton10.Checked = True
        RichTextBox1.SelectionColor = Color.Blue
    End Sub

    Private Sub CheckBox11_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox11.CheckedChanged
        CheckBox11.Checked = False
        RadioButton11.Checked = True
        RichTextBox1.SelectionColor = Color.Lime
    End Sub

    Private Sub CheckBox12_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox12.CheckedChanged
        CheckBox12.Checked = False
        RadioButton12.Checked = True
        RichTextBox1.SelectionColor = Color.Cyan
    End Sub

    Private Sub CheckBox13_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox13.CheckedChanged
        CheckBox13.Checked = False
        RadioButton13.Checked = True
        RichTextBox1.SelectionColor = Color.Red
    End Sub

    Private Sub CheckBox14_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox14.CheckedChanged
        CheckBox14.Checked = False
        RadioButton14.Checked = True
        RichTextBox1.SelectionColor = Color.Magenta
    End Sub

    Private Sub CheckBox15_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox15.CheckedChanged
        CheckBox15.Checked = False
        RadioButton15.Checked = True
        RichTextBox1.SelectionColor = Color.Yellow
    End Sub

    Private Sub CheckBox16_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox16.CheckedChanged
        CheckBox16.Checked = False
        RadioButton16.Checked = True
        RichTextBox1.SelectionColor = Color.White
    End Sub

    Private Sub CheckBox17_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox17.CheckedChanged
        CheckBox17.Checked = False
        RadioButton17.Checked = True
        RichTextBox1.SelectionBackColor = Color.Black
    End Sub

    Private Sub CheckBox18_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox18.CheckedChanged
        CheckBox18.Checked = False
        RadioButton18.Checked = True
        RichTextBox1.SelectionBackColor = Color.DarkBlue
    End Sub

    Private Sub CheckBox19_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox19.CheckedChanged
        CheckBox19.Checked = False
        RadioButton19.Checked = True
        RichTextBox1.SelectionBackColor = Color.Green
    End Sub

    Private Sub CheckBox20_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox20.CheckedChanged
        CheckBox20.Checked = False
        RadioButton20.Checked = True
        RichTextBox1.SelectionBackColor = Color.DarkCyan
    End Sub

    Private Sub CheckBox21_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox21.CheckedChanged
        CheckBox21.Checked = False
        RadioButton21.Checked = True
        RichTextBox1.SelectionBackColor = Color.DarkRed
    End Sub

    Private Sub CheckBox22_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox22.CheckedChanged
        CheckBox22.Checked = False
        RadioButton22.Checked = True
        RichTextBox1.SelectionBackColor = Color.DarkMagenta
    End Sub

    Private Sub CheckBox23_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox23.CheckedChanged
        CheckBox23.Checked = False
        RadioButton23.Checked = True
        RichTextBox1.SelectionBackColor = Color.Olive
    End Sub

    Private Sub CheckBox24_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox24.CheckedChanged
        CheckBox24.Checked = False
        RadioButton24.Checked = True
        RichTextBox1.SelectionBackColor = Color.Gray
    End Sub

    Private Sub CheckBox25_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox25.CheckedChanged
        CheckBox25.Checked = False
        RadioButton25.Checked = True
        RichTextBox1.SelectionBackColor = Color.Silver
    End Sub

    Private Sub CheckBox26_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox26.CheckedChanged
        CheckBox26.Checked = False
        RadioButton26.Checked = True
        RichTextBox1.SelectionBackColor = Color.Blue
    End Sub

    Private Sub CheckBox27_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox27.CheckedChanged
        CheckBox27.Checked = False
        RadioButton27.Checked = True
        RichTextBox1.SelectionBackColor = Color.Lime
    End Sub

    Private Sub CheckBox28_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox28.CheckedChanged
        CheckBox28.Checked = False
        RadioButton28.Checked = True
        RichTextBox1.SelectionBackColor = Color.Cyan
    End Sub

    Private Sub CheckBox29_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox29.CheckedChanged
        CheckBox29.Checked = False
        RadioButton29.Checked = True
        RichTextBox1.SelectionBackColor = Color.Red
    End Sub

    Private Sub CheckBox30_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox30.CheckedChanged
        CheckBox30.Checked = False
        RadioButton30.Checked = True
        RichTextBox1.SelectionBackColor = Color.Magenta
    End Sub

    Private Sub CheckBox31_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox31.CheckedChanged
        CheckBox31.Checked = False
        RadioButton31.Checked = True
        RichTextBox1.SelectionBackColor = Color.Yellow
    End Sub

    Private Sub CheckBox32_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles CheckBox32.CheckedChanged
        CheckBox32.Checked = False
        RadioButton32.Checked = True
        RichTextBox1.SelectionBackColor = Color.White
    End Sub

    Public Sub ChargerPageDémarrage()
        If File.Exists("Page de démarrage.rtf") Then
            RichTextBox1.LoadFile("Page de démarrage.rtf")
            FichierEnregistrement = "Page de démarrage.rtf"
            FichierEnregistrementExtention = ".rtf"
        End If
    End Sub

    'Public Sub ChargerParamètres()

    '    If File.Exists("Paramètres.Prm") = True Then

    '        Dim FichierLecture As StreamReader = File.OpenText("Paramètres.Prm")
    '        Dim TexteFichier As String = ""

    '        FichierLecture.Close()

    '    End If

    'End Sub

    Public Sub SauverParamètres()

    End Sub

    Private Sub ConsolusMessageMaker_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        RichTextBox1.SelectionFont = New Font("Lucida Console", 8, FontStyle.Bold)
        ChargerPageDémarrage()
    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Public Sub OuvrirConsole()

        ' Si la console n'est pas ouverte
        If EtasConsole = False Then

            ' On ouvre la console
            AllocConsole()
            Console.Title = "Aperçus"
            EtasConsole = True

        End If

    End Sub

    Public Sub FermerConsole()

        ' Si la console est ouverte
        If EtasConsole = True Then

            ' On ferme la console.
            FreeConsole()
            EtasConsole = False

        End If

    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub ConsoleGraphique_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing

        Dim Réponce As Integer = MessageBox.Show("      Vous êtes sur de vouloir quitter le programme ?", "Avertissement", MessageBoxButtons.YesNo, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2, Nothing, False)

        If Réponce = 6 Then
            End
        Else
            e.Cancel = True
        End If

    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub CouleurTexteConsole()

        If RichTextBox1.SelectionColor = Color.Black Then
            Console.ForegroundColor = ConsoleColor.Black
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.Black ' Couleur du texte en 'Noir'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "0¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.White Then
            Console.ForegroundColor = ConsoleColor.White
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.White' Couleur du texte en 'Blanc'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "15¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Yellow Then
            Console.ForegroundColor = ConsoleColor.Yellow
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.Yellow' Couleur du texte en 'Jaune'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "14¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Olive Then
            Console.ForegroundColor = ConsoleColor.DarkYellow
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.DarkYellow' Couleur du texte en 'Jaune foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "6¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Red Then
            Console.ForegroundColor = ConsoleColor.Red
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.Red ' Couleur du texte en 'Rouge'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "12¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.DarkRed Then
            Console.ForegroundColor = ConsoleColor.DarkRed
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.DarkRed ' Couleur du texte en 'Rouge foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "4¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Lime Then
            Console.ForegroundColor = ConsoleColor.Green
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.Green ' Couleur du texte en 'Vert'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "10¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Green Then
            Console.ForegroundColor = ConsoleColor.DarkGreen
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.DarkGreen ' Couleur du texte en 'Vert foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "2¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Blue Then
            Console.ForegroundColor = ConsoleColor.Blue
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.Blue ' Couleur du texte en 'Bleu'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "9¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.DarkBlue Then
            Console.ForegroundColor = ConsoleColor.DarkBlue
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.DarkBlue ' Couleur du texte en 'Bleu foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "1¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Gray Then
            Console.ForegroundColor = ConsoleColor.DarkGray
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.DarkGray ' Couleur du texte en 'Gris foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "8¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Silver Then
            Console.ForegroundColor = ConsoleColor.Gray
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.Gray ' Couleur du texte en 'Gris'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "7¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Fuchsia Then
            Console.ForegroundColor = ConsoleColor.Magenta
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.Magenta ' Couleur du texte en 'Violet'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "13¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.DarkMagenta Then
            Console.ForegroundColor = ConsoleColor.DarkMagenta
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.DarkMagenta ' Couleur du texte en 'Violet foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "5¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.Aqua Then
            Console.ForegroundColor = ConsoleColor.Cyan
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.Cyan ' Couleur du texte en 'Bleu turquoise'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "11¦"
            End If

        ElseIf RichTextBox1.SelectionColor = Color.DarkCyan Then
            Console.ForegroundColor = ConsoleColor.DarkCyan
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.DarkCyan ' Couleur du texte en 'Bleu-Vert'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "3¦"
            End If
        Else
            Console.ForegroundColor = ConsoleColor.Black
            If GénérationTypeDeCode = 1 Then
                Code += "Console.ForegroundColor = ConsoleColor.Black ' Couleur du texte en 'Noir'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "0¦"
            End If

        End If

        If RichTextBox1.SelectionBackColor = Color.Black Then
            Console.BackgroundColor = ConsoleColor.Black
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.Black ' Couleur de l'arrière plant du texte en 'Noir'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "0¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.White Then
            Console.BackgroundColor = ConsoleColor.White
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.White ' Couleur de l'arrière plant du texte en 'Blanc'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "15¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Yellow Then
            Console.BackgroundColor = ConsoleColor.Yellow
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.Yellow ' Couleur de l'arrière plant du texte en 'Jaune'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "14¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Olive Then
            Console.BackgroundColor = ConsoleColor.DarkYellow
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkYellow ' Couleur de l'arrière plant du texte en 'Jaune foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "6¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Red Then
            Console.BackgroundColor = ConsoleColor.Red
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.Red ' Couleur de l'arrière plant du texte en 'Rouge'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "12¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.DarkRed Then
            Console.BackgroundColor = ConsoleColor.DarkRed
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkRed ' Couleur de l'arrière plant du texte en 'Rouge foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "4¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Lime Then
            Console.BackgroundColor = ConsoleColor.Green
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.Green ' Couleur de l'arrière plant du texte en 'Vert'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "10¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Green Then
            Console.BackgroundColor = ConsoleColor.DarkGreen
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkGreen ' Couleur de l'arrière plant du texte en 'Vert foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "2¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Blue Then
            Console.BackgroundColor = ConsoleColor.Blue
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.Blue ' Couleur de l'arrière plant du texte en 'Bleu'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "9¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.DarkBlue Then
            Console.BackgroundColor = ConsoleColor.DarkBlue
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkBlue ' Couleur de l'arrière plant du texte en 'Bleu foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "1¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Gray Then
            Console.BackgroundColor = ConsoleColor.DarkGray
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkGray ' Couleur de l'arrière plant du texte en 'Gris foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "8¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Silver Then
            Console.BackgroundColor = ConsoleColor.Gray
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.Gray ' Couleur de l'arrière plant du texte en 'Gris clair'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "7¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Fuchsia Then
            Console.BackgroundColor = ConsoleColor.Magenta
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.Magenta ' Couleur de l'arrière plant du texte en 'Violet'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "13¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.DarkMagenta Then
            Console.BackgroundColor = ConsoleColor.DarkMagenta
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkMagenta ' Couleur de l'arrière plant du texte en 'Violet foncé'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "5¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.Aqua Then
            Console.BackgroundColor = ConsoleColor.Cyan
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.Cyan ' Couleur de l'arrière plant du texte en 'Bleu turquoise'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "11¦"
            End If

        ElseIf RichTextBox1.SelectionBackColor = Color.DarkCyan Then
            Console.BackgroundColor = ConsoleColor.DarkCyan
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkCyan ' Couleur de l'arrière plant du texte en 'Bleu-Vert'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "3¦"
            End If

        Else
            Console.BackgroundColor = ConsoleColor.Black
            If GénérationTypeDeCode = 1 Then
                Code += "Console.BackgroundColor = ConsoleColor.Black ' Couleur de l'arrière plant du texte en 'Noir'." + vbCrLf
            ElseIf GénérationTypeDeCode <> 0 Then
                Code += "10¦"
            End If

        End If

    End Sub

    Private Sub CouleurFondConsole()

        If RichTextBox1.BackColor = Color.Black Then
            Console.BackgroundColor = ConsoleColor.Black
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.Black ' Couleur du fond de la console en 'Noir'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.White Then
            Console.BackgroundColor = ConsoleColor.White
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.White ' Couleur du fond de la console en 'Blanc'." + vbCrLf
            End If


        ElseIf RichTextBox1.BackColor = Color.Yellow Then
            Console.BackgroundColor = ConsoleColor.Yellow
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.Yellow ' Couleur du fond de la console en 'Jaune'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.Olive Then
            Console.BackgroundColor = ConsoleColor.DarkYellow
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkYellow ' Couleur du fond de la console en 'Jaune foncé'." + vbCrLf
            End If


        ElseIf RichTextBox1.BackColor = Color.Red Then
            Console.BackgroundColor = ConsoleColor.Red
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.Red ' Couleur du fond de la console en 'Rouge'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.DarkRed Then
            Console.BackgroundColor = ConsoleColor.DarkRed
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkRed ' Couleur du fond de la console en 'Rouge foncé'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.Lime Then
            Console.BackgroundColor = ConsoleColor.Green
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.Green ' Couleur du fond de la console en 'Vert'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.Green Then
            Console.BackgroundColor = ConsoleColor.DarkGreen
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkGreen ' Couleur du fond de la console en 'Vert foncé'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.Blue Then
            Console.BackgroundColor = ConsoleColor.Blue
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.Blue ' Couleur du fond de la console en 'Bleu'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.DarkBlue Then
            Console.BackgroundColor = ConsoleColor.DarkBlue
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkBlue ' Couleur du fond de la console en 'Bleu foncé'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.Gray Then
            Console.BackgroundColor = ConsoleColor.DarkGray
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkGray ' Couleur du fond de la console en 'Gris foncé'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.Silver Then
            Console.BackgroundColor = ConsoleColor.Gray
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.Gray ' Couleur du fond de la console en 'Gris'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.Fuchsia Then
            Console.BackgroundColor = ConsoleColor.Magenta
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.Magenta ' Couleur du fond de la console en 'Violet'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.DarkMagenta Then
            Console.BackgroundColor = ConsoleColor.DarkMagenta
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkMagenta ' Couleur du fond de la console en 'Violet foncé'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.Aqua Then
            Console.BackgroundColor = ConsoleColor.Cyan
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.Cyan ' Couleur du fond de la console en 'Bleu turquoise'." + vbCrLf
            End If

        ElseIf RichTextBox1.BackColor = Color.DarkCyan Then
            Console.BackgroundColor = ConsoleColor.DarkCyan
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.DarkCyan ' Couleur du fond de la console en 'Bleu-Vert'." + vbCrLf
            End If

        Else
            Console.BackgroundColor = ConsoleColor.Black
            If GénérationTypeDeCode <> 0 Then
                Code += "Console.BackgroundColor = ConsoleColor.Black ' Couleur du fond de la console en 'Noir'." + vbCrLf
            End If

        End If

    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub RetrenscriptionConsole()

        Dim Départ As Integer = 0
        Dim Caractère As String = ""
        Dim Buffer As String = ""
        Dim Compteur As Integer = 1
        Dim Tick As Boolean = False

        Dim SauvegardeCouleurTexte As Color = Nothing
        Dim SauvegardeCouleurFondTexte As Color = Nothing

        OuvrirConsole()
        ButtonAperçusLancer.Enabled = False

        CouleurFondConsole()
        Console.Clear()

        If GénérationTypeDeCode <> 0 Then
            Code += "Console.Clear() ' Effacement de la console." + vbCrLf + vbCrLf
        End If

        If GénérationTypeDeCode = 2 Then
            Code += "CodeConsole.Clear() ' Vidage du tableau qui contient le message de la console." + vbCrLf + vbCrLf
            Code += "CodeConsole.Add("""
        End If

        If RichTextBox1.Text.Length > 0 Then

            For Index As Integer = 0 To RichTextBox1.Text.Length

                Application.DoEvents()

                If EtasConsole = False Then
                    Exit For
                End If

                RichTextBox1.Select(Index, 1)
                Caractère = RichTextBox1.SelectedText

                If Index < RichTextBox1.Text.Length Then

                    If Buffer > "" Then

                        If RichTextBox1.SelectionColor <> SauvegardeCouleurTexte Or RichTextBox1.SelectionBackColor <> SauvegardeCouleurFondTexte Then

                            SauvegardeCouleurTexte = RichTextBox1.SelectionColor
                            SauvegardeCouleurFondTexte = RichTextBox1.SelectionBackColor

                            RichTextBox1.Select(Index - 1, 1)

                            CouleurTexteConsole()
                            Console.Write(Buffer)

                            If GénérationTypeDeCode = 1 Then

                                Buffer = Buffer.Replace("""", """""")
                                Buffer = Buffer.Replace(vbLf, """ & vbLf & """)

                                If GénérationTypeDeCode <> 0 Then
                                    Code += "Console.Write(" & """" & Buffer & """" & ") ' Ecriture du texte dans la console."
                                    Code += vbCrLf + vbCrLf
                                End If

                            Else

                                Buffer = Buffer.Replace("""", """""")
                                Buffer = Buffer.Replace(vbLf, "«")

                                If Compteur = 20 Then
                                    Compteur = 0
                                    If GénérationTypeDeCode <> 0 Then
                                        Code += Buffer & "¦"")" & vbCrLf & "CodeConsole.Add("""
                                    End If
                                ElseIf GénérationTypeDeCode <> 0 Then
                                    Code += Buffer & "¦"") : CodeConsole.Add("""
                                End If

                                Compteur += 1
                            End If

                            Buffer = ""

                            Buffer += Caractère
                            RichTextBox1.Select(Index, 1)

                        Else
                            Buffer += Caractère
                        End If

                        'Buffer = Buffer.Replace(vbLf, "«")

                    Else

                        SauvegardeCouleurTexte = RichTextBox1.SelectionColor
                        SauvegardeCouleurFondTexte = RichTextBox1.SelectionBackColor

                        Buffer += Caractère

                    End If

                Else

                    Buffer += Caractère
                    CouleurTexteConsole()
                    Console.Write(Buffer)

                    If GénérationTypeDeCode = 1 Then

                        Buffer = Buffer.Replace("""", """""")
                        Buffer = Buffer.Replace(vbLf, """ & vbLf & """)

                        If GénérationTypeDeCode <> 0 Then
                            Code += "Console.Write(" & """" & Buffer & """" & ")" & vbCrLf & vbCrLf
                            Code += "Console.Read()" & vbCrLf & vbCrLf
                            Code += "End Sub" & vbCrLf
                        End If

                    Else

                        If GénérationTypeDeCode <> 0 Then

                            Buffer = Buffer.Replace("""", """""")
                            Buffer = Buffer.Replace(vbLf, "«")

                            Code += Buffer & """)" & vbCrLf & vbCrLf
                            Code += "LectureCode(CodeConsole) ' Lecture du tableau contenant le message à écrire dans la console." & vbCrLf & vbCrLf & "Console.ReadLine() ' Attend que l'utilisateur est appuyé sur la touche entrée pour continuer."

                            If OptionGénérationCode = 1 Then
                                Code += vbCrLf & vbCrLf & "End Sub" & vbCrLf
                            Else
                                Code += vbCrLf
                            End If

                        End If

                    End If

                    Buffer = ""

                End If

            Next

        Else

        End If

        ButtonAperçusStoper.Enabled = True

    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub MenuOuvrirAperçus_Click(sender As System.Object, e As System.EventArgs)
        If EtasConsole = False Then
            OuvrirConsole()
            PositionCurseurEditeur = RichTextBox1.SelectionStart()
            RetrenscriptionConsole()
            If PositionCurseurEditeur > -1 Then
                RichTextBox1.Select(PositionCurseurEditeur, 0)
            End If
        End If
    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub ButtonAperçusLancer_Click(sender As System.Object, e As System.EventArgs) Handles ButtonAperçusLancer.Click
        If EtasConsole = False Then
            OuvrirConsole()
            ButtonAperçusLancer.Enabled = False
            ButtonAperçusStoper.Enabled = True
            PositionCurseurEditeur = RichTextBox1.SelectionStart()
            RetrenscriptionConsole()
            RichTextBox1.SaveFile("AutoSave.rtf", RichTextBoxStreamType.RichText)
            If PositionCurseurEditeur > -1 Then
                RichTextBox1.Select(PositionCurseurEditeur, 0)
            End If
        End If
    End Sub

    Private Sub ButtonAperçusActualiser_Click(sender As System.Object, e As System.EventArgs) Handles ButtonAperçusActualiser.Click
        If EtasConsole = True Then
            ButtonAperçusActualiser.Enabled = False
            PositionCurseurEditeur = RichTextBox1.SelectionStart()
            RetrenscriptionConsole()
            RichTextBox1.SaveFile("AutoSave.rtf", RichTextBoxStreamType.RichText)
            If PositionCurseurEditeur > -1 Then
                RichTextBox1.Select(PositionCurseurEditeur, 0)
            End If
        End If
    End Sub

    Private Sub ButtonAperçusStoper_Click(sender As System.Object, e As System.EventArgs) Handles ButtonAperçusStoper.Click
        If EtasConsole = True Then
            FermerConsole()
            ButtonAperçusActualiser.Enabled = False
            ButtonAperçusStoper.Enabled = False
            ButtonAperçusLancer.Enabled = True
        End If
    End Sub

    Private Sub ButtonGénérerCode_Click(sender As System.Object, e As System.EventArgs) Handles ButtonGénérerCode.Click

        FenêtreGénérationCode.ShowDialog()

        If GénérationTypeDeCode = 1 Then

            If OptionGénérationCode = 1 Then
                Code = vbCrLf & "Sub Main()" & vbCrLf & vbCrLf
            End If

        ElseIf GénérationTypeDeCode = 2 Then

            If OptionGénérationCode = 1 Then
                Code = vbCrLf & "Function CountString(Chaine As String, ChaineChercher As String, Optional RespecterCase As Boolean = False) As Long" & vbCrLf & "        If ChaineChercher > """" Then" & vbCrLf & "            If RespecterCase = True Then" & vbCrLf & "                Return CLng((Len(Chaine) - Len(Replace(Chaine, ChaineChercher, """", , , CompareMethod.Binary))) / Len(ChaineChercher))" & vbCrLf & "            Else" & vbCrLf & "                Return CLng((Len(Chaine) - Len(Replace(Chaine, ChaineChercher, """", , , CompareMethod.Text))) / Len(ChaineChercher))" & vbCrLf & "            End If" & vbCrLf & "        Else" & vbCrLf & "            Return 0" & vbCrLf & "        End If" & vbCrLf & "    End Function" & vbCrLf & vbCrLf & "    Function StringField(ByVal Chaîne As String, ByVal Index As Integer, ByVal Delimiteur As String) As String" & vbCrLf & vbCrLf & "        Dim IndexPart = 0" & vbCrLf & vbCrLf & "        If Index > 0 Then" & vbCrLf & "            Index -= 1" & vbCrLf & "        End If" & vbCrLf & vbCrLf & "        If Delimiteur > """" Then" & vbCrLf & vbCrLf & "            For Each Part In Chaîne.Split({Delimiteur}, StringSplitOptions.None)" & vbCrLf & vbCrLf & "                If IndexPart = Index Or IndexPart = CountString(Chaîne, Delimiteur, False) Then" & vbCrLf & "                    Return Part" & vbCrLf & "                End If" & vbCrLf & vbCrLf & "                IndexPart += 1" & vbCrLf & vbCrLf & "            Next" & vbCrLf & vbCrLf & "        Else" & vbCrLf & "            Return Chaîne" & vbCrLf & vbCrLf & "        End If" & vbCrLf & vbCrLf & "        Return """"" & vbCrLf & vbCrLf & "    End Function" & vbCrLf & vbCrLf & "    Function ConvertCouleur(ByVal Nombre As Integer) As ConsoleColor" & vbCrLf & vbCrLf & "        Select Case Nombre" & vbCrLf & vbCrLf & "            Case 0" & vbCrLf & "                Return ConsoleColor.Black" & vbCrLf & vbCrLf & "            Case 1" & vbCrLf & "                Return ConsoleColor.DarkBlue" & vbCrLf & vbCrLf & "            Case 2" & vbCrLf & "                Return ConsoleColor.DarkGreen" & vbCrLf & vbCrLf & "            Case 3" & vbCrLf & "                Return ConsoleColor.DarkCyan" & vbCrLf & vbCrLf & "            Case 4" & vbCrLf & "                Return ConsoleColor.DarkRed" & vbCrLf & vbCrLf & "            Case 5" & vbCrLf & "                Return ConsoleColor.DarkMagenta" & vbCrLf & vbCrLf & "            Case 6" & vbCrLf & "                Return ConsoleColor.DarkYellow" & vbCrLf & vbCrLf & "            Case 7" & vbCrLf & "                Return ConsoleColor.Gray" & vbCrLf & vbCrLf & "            Case 8" & vbCrLf & "                Return ConsoleColor.DarkGray" & vbCrLf & vbCrLf & "            Case 9" & vbCrLf & "                Return ConsoleColor.Blue" & vbCrLf & vbCrLf & "            Case 10" & vbCrLf & "                Return ConsoleColor.Green" & vbCrLf & vbCrLf & "            Case 11" & vbCrLf & "                Return ConsoleColor.Cyan" & vbCrLf & vbCrLf & "            Case 12" & vbCrLf & "                Return ConsoleColor.Red" & vbCrLf & vbCrLf & "            Case 13" & vbCrLf & "                Return ConsoleColor.Magenta" & vbCrLf & vbCrLf & "            Case 14" & vbCrLf & "                Return ConsoleColor.Yellow" & vbCrLf & vbCrLf & "            Case 15" & vbCrLf & "                Return ConsoleColor.White" & vbCrLf & vbCrLf & "            Case Else" & vbCrLf & "                Return ConsoleColor.Black" & vbCrLf & vbCrLf & "        End Select" & vbCrLf & vbCrLf & "    End Function" & vbCrLf & vbCrLf & "    Sub LectureCode(ByVal ListeCodeConsole As List(Of String))" & vbCrLf & vbCrLf & "        Dim CouleurTexteConsole As ConsoleColor = ConsoleColor.Black" & vbCrLf & "        Dim CouleurFontTexteConsole As ConsoleColor = ConsoleColor.Black" & vbCrLf & "        Dim TexteConsole As String = """"" & vbCrLf & vbCrLf & "        For Each Code In ListeCodeConsole" & vbCrLf & vbCrLf & "            Code = Code.Replace(""«"", vbLf)" & vbCrLf & vbCrLf & "            CouleurTexteConsole = ConvertCouleur(CInt(StringField(Code, 1, ""¦"")))" & vbCrLf & vbCrLf & "            CouleurFontTexteConsole = ConvertCouleur(CInt(StringField(Code, 2, ""¦"")))" & vbCrLf & vbCrLf & "            TexteConsole = StringField(Code, 3, ""¦"")" & vbCrLf & vbCrLf & "            Console.ForegroundColor = CouleurTexteConsole" & vbCrLf & "            Console.BackgroundColor = CouleurFontTexteConsole" & vbCrLf & vbCrLf & "            Console.Write(TexteConsole)" & vbCrLf & vbCrLf & "        Next" & vbCrLf & vbCrLf & "    End Sub" & vbCrLf & vbCrLf
                Code += "Dim CodeConsole As New List(Of String) ' Création du tableau qui contiendra le message avec les couleurs à afficher dans la console de VB.Net." & vbCrLf & vbCrLf
            Else
                Code = vbCrLf
            End If

            If OptionGénérationCode = 1 Then
                Code += "Sub Main()" & vbCrLf & vbCrLf
            End If

        End If

        If GénérationTypeDeCode > 0 Then

            RetrenscriptionConsole()
            Clipboard.SetText(Code)

            If OptionGénérationCode = 1 Then
                MessageBox.Show("    Le code à été copier dans le presse papier." & vbCrLf & vbCrLf & "    Pour utiliser le code, créez un nouveau projet ""Application Console""" & vbCrLf & "    Puis remplacer le contenue du module par ce code.", "Information...", MessageBoxButtons.OK, MessageBoxIcon.Asterisk)

            Else ' 2
                MessageBox.Show("    Le code à été copier dans le presse papier." & vbCrLf & vbCrLf & "    Pour utiliser le code, collez le code du presse papier en dessous de" & vbCrLf & "    la ligne de code ""LectureCode(CodeConsole)"" qui se trouve" & vbCrLf & "    dans votre Sub Main() dans votre module Console.", "Information...", MessageBoxButtons.OK, MessageBoxIcon.Asterisk)

            End If

        End If

    End Sub

    Private Sub ButtonQuitter_Click(sender As System.Object, e As System.EventArgs) Handles ButtonQuitter.Click
        Close()
    End Sub

    Private Sub MenuAnnuler_Click(sender As System.Object, e As System.EventArgs) Handles MenuAnnuler.Click
        RichTextBox1.Undo()
    End Sub

    Private Sub MenuRestaurer_Click(sender As System.Object, e As System.EventArgs) Handles MenuRestaurer.Click
        RichTextBox1.Redo()
    End Sub

    Private Sub MenuCouper_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouper.Click
        RichTextBox1.Cut()
    End Sub

    Private Sub MenuCopier_Click(sender As System.Object, e As System.EventArgs) Handles MenuCopier.Click
        RichTextBox1.Copy()
    End Sub

    Private Sub MenuColler_Click(sender As System.Object, e As System.EventArgs) Handles MenuColler.Click
        RichTextBox1.Paste()
        RichTextBox1.Rtf = RichTextBox1.Rtf.Replace("\pard\cf0\b0\f1\fs17\par", "")
        RichTextBox1.Rtf = RichTextBox1.Rtf.Replace("\pard\f1\fs17\par", "")
    End Sub

    Private Sub MenuSupprimer_Click(sender As System.Object, e As System.EventArgs) Handles MenuSupprimer.Click
        RichTextBox1.SelectedText = ""
    End Sub

    Private Sub MenuSélectionnerTous_Click(sender As System.Object, e As System.EventArgs) Handles MenuSélectionnerTous.Click
        RichTextBox1.SelectAll()
    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub MenuCouleurFondNoir_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondNoir.Click
        RichTextBox1.BackColor = Color.Black
        RectangleShape2.BorderColor = Color.Black
    End Sub

    Private Sub MenuCouleurFondBlanc_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondBlanc.Click
        RichTextBox1.BackColor = Color.White
        RectangleShape2.BorderColor = Color.White
    End Sub

    Private Sub MenuCouleurFondJaune_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondJaune.Click
        RichTextBox1.BackColor = Color.Yellow
        RectangleShape2.BorderColor = Color.Yellow
    End Sub

    Private Sub MenuCouleurFondJauneVert_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondJauneVert.Click
        RichTextBox1.BackColor = Color.Olive
        RectangleShape2.BorderColor = Color.Olive
    End Sub

    Private Sub MenuCouleurFondRouge_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondRouge.Click
        RichTextBox1.BackColor = Color.Red
        RectangleShape2.BorderColor = Color.Red
    End Sub

    Private Sub MenuCouleurFondRougeFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondRougeFoncé.Click
        RichTextBox1.BackColor = Color.DarkRed
        RectangleShape2.BorderColor = Color.DarkRed
    End Sub

    Private Sub MenuCouleurFondVertClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondVertClair.Click
        RichTextBox1.BackColor = Color.Lime
        RectangleShape2.BorderColor = Color.Lime
    End Sub

    Private Sub MenuCouleurFondVersFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondVersFoncé.Click
        RichTextBox1.BackColor = Color.Green
        RectangleShape2.BorderColor = Color.Green
    End Sub

    Private Sub MenuCouleurFondBleuClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondBleuClair.Click
        RichTextBox1.BackColor = Color.Blue
        RectangleShape2.BorderColor = Color.Blue
    End Sub

    Private Sub MenuCouleurFondBleuFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondBleuFoncé.Click
        RichTextBox1.BackColor = Color.DarkBlue
        RectangleShape2.BorderColor = Color.DarkBlue
    End Sub

    Private Sub MenuCouleurFondGrisClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondGrisClair.Click
        RichTextBox1.BackColor = Color.Silver
        RectangleShape2.BorderColor = Color.Silver
    End Sub

    Private Sub MenuCouleurFondGrisFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondGrisFoncé.Click
        RichTextBox1.BackColor = Color.Gray
        RectangleShape2.BorderColor = Color.Gray
    End Sub

    Private Sub MenuCouleurFondMagentaClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondMagentaClair.Click
        RichTextBox1.BackColor = Color.Magenta
        RectangleShape2.BorderColor = Color.Magenta
    End Sub

    Private Sub MenuCouleurFondMagentaFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondMagentaFoncé.Click
        RichTextBox1.BackColor = Color.DarkMagenta
        RectangleShape2.BorderColor = Color.DarkMagenta
    End Sub

    Private Sub MenuCouleurFondCyanClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondCyanClair.Click
        RichTextBox1.BackColor = Color.Cyan
        RectangleShape2.BorderColor = Color.Cyan
    End Sub

    Private Sub MenuCouleurFondCyanFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondCyanFoncé.Click
        RichTextBox1.BackColor = Color.DarkCyan
        RectangleShape2.BorderColor = Color.DarkCyan
    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub MenuCouleurTexteNoir_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteNoir.Click
        RichTextBox1.SelectionColor = Color.Black
    End Sub

    Private Sub MenuCouleurTexteBlanc_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteBlanc.Click
        RichTextBox1.SelectionColor = Color.White
    End Sub

    Private Sub MenuCouleurTexteJaune_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteJaune.Click
        RichTextBox1.SelectionColor = Color.Yellow
    End Sub

    Private Sub MenuCouleurTexteJauneVert_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteJauneVert.Click
        RichTextBox1.SelectionColor = Color.Olive
    End Sub

    Private Sub MenuCouleurTexteRougeClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteRougeClair.Click
        RichTextBox1.SelectionColor = Color.Red
    End Sub

    Private Sub MenuCouleurTexteRougeFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteRougeFoncé.Click
        RichTextBox1.SelectionColor = Color.DarkRed
    End Sub

    Private Sub MenuCouleurTexteVertClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteVertClair.Click
        RichTextBox1.SelectionColor = Color.Lime
    End Sub

    Private Sub MenuCouleurTexteVertFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteVertFoncé.Click
        RichTextBox1.SelectionColor = Color.Green
    End Sub

    Private Sub MenuCouleurTexteBleuClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteBleuClair.Click
        RichTextBox1.SelectionColor = Color.Blue
    End Sub

    Private Sub MenuCouleurTexteBleuFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteBleuFoncé.Click
        RichTextBox1.SelectionColor = Color.DarkBlue
    End Sub

    Private Sub MenuCouleurTexteGrisClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteGrisClair.Click
        RichTextBox1.SelectionColor = Color.Silver
    End Sub

    Private Sub MenuCouleurTexteGrisFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteGrisFoncé.Click
        RichTextBox1.SelectionColor = Color.Gray
    End Sub

    Private Sub MenuCouleurTexteMagentaClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteMagentaClair.Click
        RichTextBox1.SelectionColor = Color.Fuchsia
    End Sub

    Private Sub MenuCouleurTexteMagentaFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteMagentaFoncé.Click
        RichTextBox1.SelectionColor = Color.DarkMagenta
    End Sub

    Private Sub MenuCouleurTexteCyanClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteCyanClair.Click
        RichTextBox1.SelectionColor = Color.Aqua
    End Sub

    Private Sub MenuCouleurTexteCyanFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurTexteCyanFoncé.Click
        RichTextBox1.SelectionColor = Color.DarkCyan
    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub MenuCouleurFondTexteNoir_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteNoir.Click
        RichTextBox1.SelectionBackColor = Color.Black
    End Sub

    Private Sub MenuCouleurFondTexteBlanc_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteBlanc.Click
        RichTextBox1.SelectionBackColor = Color.White
    End Sub

    Private Sub MenuCouleurFondTexteJaune_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteJaune.Click
        RichTextBox1.SelectionBackColor = Color.Yellow
    End Sub

    Private Sub MenuCouleurFondTexteJauneVert_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteJauneVert.Click
        RichTextBox1.SelectionBackColor = Color.Olive
    End Sub

    Private Sub MenuCouleurFondTexteRougeClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteRougeClair.Click
        RichTextBox1.SelectionBackColor = Color.Red
    End Sub

    Private Sub MenuCouleurFondTexteRougeFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteRougeFoncé.Click
        RichTextBox1.SelectionBackColor = Color.DarkRed
    End Sub

    Private Sub MenuCouleurFondTexteVertClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteVertClair.Click
        RichTextBox1.SelectionBackColor = Color.Lime
    End Sub

    Private Sub MenuCouleurFondTexteVersFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteVersFoncé.Click
        RichTextBox1.SelectionBackColor = Color.Green
    End Sub

    Private Sub MenuCouleurFondTexteBleuClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteBleuClair.Click
        RichTextBox1.SelectionBackColor = Color.Blue
    End Sub

    Private Sub MenuCouleurFondTexteBleuFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteBleuFoncé.Click
        RichTextBox1.SelectionBackColor = Color.DarkBlue
    End Sub

    Private Sub MenuCouleurFondTexteGrisClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteGrisClair.Click
        RichTextBox1.SelectionBackColor = Color.Silver
    End Sub

    Private Sub MenuCouleurFondTexteGrisFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteGrisFoncé.Click
        RichTextBox1.SelectionBackColor = Color.Gray
    End Sub

    Private Sub MenuCouleurFondTexteMagentaClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteMagentaClair.Click
        RichTextBox1.SelectionBackColor = Color.Magenta
    End Sub

    Private Sub MenuCouleurFondTexteMagentaFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteMagentaFoncé.Click
        RichTextBox1.SelectionBackColor = Color.DarkMagenta
    End Sub

    Private Sub MenuCouleurFondTexteCyanClair_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteCyanClair.Click
        RichTextBox1.SelectionBackColor = Color.Cyan
    End Sub

    Private Sub MenuCouleurFondTexteCyanFoncé_Click(sender As System.Object, e As System.EventArgs) Handles MenuCouleurFondTexteCyanFoncé.Click
        RichTextBox1.SelectionBackColor = Color.DarkCyan
    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub NouveauToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles NouveauToolStripMenuItem.Click

        If FichierEnregistrement > "" Then

            Dim Réponce As Integer = MessageBox.Show("      Enregistrer le fichier avent de créer une nouvelle page ?", "Avertissement", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2, Nothing, False)

            If Réponce = 6 Then
                EnregistrerToolStripMenuItem_Click(sender, e)
                RichTextBox1.Clear()
                InitialiseFontEditeur()
                FichierEnregistrement = ""
                FichierEnregistrementExtention = ""

            ElseIf Réponce = 7 Then
                RichTextBox1.Clear()
                InitialiseFontEditeur()
                FichierEnregistrement = ""
                FichierEnregistrementExtention = ""

            Else

            End If

        ElseIf FichierEnregistrement = "" Then

            Dim Réponce As Integer = MessageBox.Show("      Enregistrer votre travail avent de créer une nouvelle page ?", "Avertissement", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2, Nothing, False)

            If Réponce = 6 Then
                EnregistrerSousToolStripMenuItem_Click(sender, e)
                RichTextBox1.Clear()
                InitialiseFontEditeur()

            ElseIf Réponce = 7 Then

                Réponce = MessageBox.Show("      Vous êtes sur de vouloir tout effacer ?", "Avertissement", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2, Nothing, False)

                If Réponce = 6 Then
                    RichTextBox1.Clear()
                    InitialiseFontEditeur()
                    FichierEnregistrement = ""
                    FichierEnregistrementExtention = ""
                End If

            Else

            End If

        End If

    End Sub

    Private Sub OuvrirToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles OuvrirToolStripMenuItem.Click

        If FichierEnregistrement > "" Then

            Dim Réponce As Integer = MessageBox.Show("      Enregistrer le fichier avent d'ouvir un fichier ?", "Avertissement", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2, Nothing, False)

            If Réponce = 6 Then
                EnregistrerToolStripMenuItem_Click(sender, e)

            ElseIf Réponce = 2 Then
                Exit Sub
            End If

        ElseIf FichierEnregistrement = "" Then

            Dim Réponce As Integer = MessageBox.Show("      Enregistrer votre travail avent d'ouvir un fichier ?", "Avertissement", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2, Nothing, False)

            If Réponce = 6 Then
                EnregistrerSousToolStripMenuItem_Click(sender, e)

            ElseIf Réponce = 2 Then
                Exit Sub
            End If

        End If

        OpenFileDialog.ShowDialog()

        If OpenFileDialog.FileName.Contains("rtf") Then

            RichTextBox1.Clear()
            InitialiseFontEditeur()
            RichTextBox1.LoadFile(OpenFileDialog.FileName, RichTextBoxStreamType.RichText)
            FichierEnregistrement = OpenFileDialog.FileName
            FichierEnregistrementExtention = ".rtf"

        ElseIf OpenFileDialog.FileName <> "" Then

            RichTextBox1.Clear()
            InitialiseFontEditeur()
            RichTextBox1.LoadFile(OpenFileDialog.FileName, RichTextBoxStreamType.PlainText)
            FichierEnregistrement = OpenFileDialog.FileName
            FichierEnregistrementExtention = ".txt"

        End If

    End Sub

    Private Sub EnregistrerToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles EnregistrerToolStripMenuItem.Click

        If FichierEnregistrement > "" Then

            If FichierEnregistrementExtention = ".txt" Then
                RichTextBox1.SaveFile(FichierEnregistrement, RichTextBoxStreamType.PlainText)

            ElseIf FichierEnregistrementExtention = ".rtf" Then
                RichTextBox1.SaveFile(FichierEnregistrement, RichTextBoxStreamType.RichText)

            Else
                MessageBox.Show("      Le fichier n'as pas peut être sauvegarder !", "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button2, Nothing, False)
                EnregistrerSousToolStripMenuItem_Click(sender, e)
            End If

        Else
            EnregistrerSousToolStripMenuItem_Click(sender, e)

        End If

    End Sub

    Private Sub EnregistrerSousToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles EnregistrerSousToolStripMenuItem.Click
        If SaveFileDialog.ShowDialog() = Windows.Forms.DialogResult.OK Then

            If SaveFileDialog.FilterIndex = 1 Then ' Txt

                If StrReverse(StrReverse(SaveFileDialog.FileName).Substring(0, StrReverse(SaveFileDialog.FileName).IndexOf(".") + 1)) = ".txt" Then
                    RichTextBox1.SaveFile(SaveFileDialog.FileName, RichTextBoxStreamType.PlainText)
                    FichierEnregistrementExtention = ".txt"

                ElseIf StrReverse(StrReverse(SaveFileDialog.FileName).Substring(0, StrReverse(SaveFileDialog.FileName).IndexOf(".") + 1)) = ".rtf" Then
                    RichTextBox1.SaveFile(SaveFileDialog.FileName, RichTextBoxStreamType.RichText)
                    FichierEnregistrementExtention = ".rtf"

                End If

            ElseIf SaveFileDialog.FilterIndex = 2 Then

                If StrReverse(StrReverse(SaveFileDialog.FileName).Substring(0, StrReverse(SaveFileDialog.FileName).IndexOf(".") + 1)) = ".txt" Then
                    RichTextBox1.SaveFile(SaveFileDialog.FileName, RichTextBoxStreamType.PlainText)
                    FichierEnregistrementExtention = ".txt"

                ElseIf StrReverse(StrReverse(SaveFileDialog.FileName).Substring(0, StrReverse(SaveFileDialog.FileName).IndexOf(".") + 1)) = ".rtf" Then
                    RichTextBox1.SaveFile(SaveFileDialog.FileName, RichTextBoxStreamType.RichText)
                    FichierEnregistrementExtention = ".rtf"

                End If

            End If

            FichierEnregistrement = SaveFileDialog.FileName

        End If
    End Sub

    Private Sub QuitterToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles QuitterToolStripMenuItem.Click
        If FichierEnregistrement > "" And FichierEnregistrementExtention > "" Then

            Dim Réponce As Integer = MessageBox.Show("      Voulez-vous enregistrer le fichier avent de quitter ?", "Avertissement", MessageBoxButtons.YesNo, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2, Nothing, False)

            If Réponce = 6 Then
                EnregistrerToolStripMenuItem_Click(sender, e)
                RichTextBox1.Clear()
                InitialiseFontEditeur()
                FichierEnregistrement = ""
                FichierEnregistrementExtention = ""
                Close()
            Else
                Close()
            End If

        ElseIf FichierEnregistrement = "" And FichierEnregistrementExtention = "" Then

            Dim Réponce As Integer = MessageBox.Show("    Voulez-vous enregistrer votre travail avent de quitter ?", "Avertissement", MessageBoxButtons.YesNo, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2, Nothing, False)

            If Réponce = 6 Then
                EnregistrerSousToolStripMenuItem_Click(sender, e)
                RichTextBox1.Clear()
                InitialiseFontEditeur()
                FichierEnregistrement = ""
                FichierEnregistrementExtention = ""
                Close()
            Else
                Close()
            End If

        End If
    End Sub

    ' ----------------------------------------------------------------------------------------------------------------------------------------------------

    Private Sub AnnulerToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles AnnulerToolStripMenuItem.Click
        RichTextBox1.Undo()
    End Sub

    Private Sub RestaurerToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles RestaurerToolStripMenuItem.Click
        RichTextBox1.Redo()
    End Sub

    Private Sub CouperToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles CouperToolStripMenuItem.Click
        RichTextBox1.Cut()
    End Sub

    Private Sub CopierToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles CopierToolStripMenuItem.Click
        RichTextBox1.Copy()
    End Sub

    Private Sub CollerToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles CollerToolStripMenuItem.Click
        RichTextBox1.Paste()
        RichTextBox1.Rtf = RichTextBox1.Rtf.Replace("\pard\cf0\b0\f1\fs17\par", "")
        RichTextBox1.Rtf = RichTextBox1.Rtf.Replace("\pard\f1\fs17\par", "")
    End Sub

    Private Sub SupprimerToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles SupprimerToolStripMenuItem.Click
        RichTextBox1.SelectedText = ""
    End Sub

    Private Sub SélectionnerTousToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles SélectionnerTousToolStripMenuItem.Click
        RichTextBox1.SelectAll()
    End Sub

    Private Sub AideToolStripMenuItem1_Click(sender As System.Object, e As System.EventArgs) Handles AideToolStripMenuItem1.Click
        FenêtreAide.ShowDialog()
    End Sub

    Private Sub AProposToolStripMenuItem_Click(sender As System.Object, e As System.EventArgs) Handles AProposToolStripMenuItem.Click
        MsgBox("      Ce programme à été crée avec VB.net par monsieur:" & vbCrLf & "      Dieppedalle David le 30 Aout 2013." & vbCrLf & vbCrLf & "      Ce programme à été amélioré avec VB.net par monsieur:" & vbCrLf & "      Dieppedalle David le 19 Juillet 2014." & vbCrLf & vbCrLf & "      Ce programme à été Paufiné avec VB.net par monsieur:" & vbCrLf & "      Dieppedalle David le 29 Mai 2015." & vbCrLf & vbCrLf & "      Ce programme est un freeware, il est donc totalement gratuit:" & vbCrLf & vbCrLf & "      -Vous pouvez utiliser le logiciel pour n'importe quelle" & vbCrLf & "        utilisation, personnelle ou commerciale." & vbCrLf & vbCrLf & "      -Le logiciel est livré ""tel quel"", sans aucune garantie." & vbCrLf & vbCrLf & "      -Vous pouvez distribuer le logiciel tant que vous ne" & vbCrLf & "        demandez pas d'argent pour." & vbCrLf & vbCrLf & "      -Que vous ne dites pas que vous en êtes l'auteur." & vbCrLf & vbCrLf & "      Code créés avec ce logiciel:" & vbCrLf & vbCrLf & "      -L'auteur du logiciel ne peut être tenu pour résponsable" & vbCrLf & "        de l'utilisation du code créés avec celui-ci !" & vbCrLf & vbCrLf & "        Vous utilisez le code à vos risques et périls." & vbCrLf & vbCrLf & "      -Vous n'êtes pas obligé de mentionner l'utilisation de" & vbCrLf & "        ce logiciel dans votre programme." & vbCrLf & vbCrLf & "      - Une mention sera appréciée, mais n'est pas obligatoire." & vbCrLf & vbCrLf & "      Si vous avez des questions ou des demandes:" & vbCrLf & "      Contactez l'auteur: Dieppedalle.David@yahoo.fr", MsgBoxStyle.OkOnly Or MsgBoxStyle.Information, "A propos")
    End Sub

End Class
